# coding: utf-8

import six

from huaweicloudsdkcore.utils.http_utils import sanitize_for_serialization


class ShowAppRaspSwitchStatusRequest:

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    sensitive_list = []

    openapi_types = {
        'enterprise_project_id': 'str',
        'app_type': 'str',
        'host_id': 'str'
    }

    attribute_map = {
        'enterprise_project_id': 'enterprise_project_id',
        'app_type': 'app_type',
        'host_id': 'host_id'
    }

    def __init__(self, enterprise_project_id=None, app_type=None, host_id=None):
        r"""ShowAppRaspSwitchStatusRequest

        The model defined in huaweicloud sdk

        :param enterprise_project_id: 企业项目ID
        :type enterprise_project_id: str
        :param app_type: 应用类型，包含如下1种。   - java ：java类型应用防护。
        :type app_type: str
        :param host_id: host id
        :type host_id: str
        """
        
        

        self._enterprise_project_id = None
        self._app_type = None
        self._host_id = None
        self.discriminator = None

        self.enterprise_project_id = enterprise_project_id
        if app_type is not None:
            self.app_type = app_type
        self.host_id = host_id

    @property
    def enterprise_project_id(self):
        r"""Gets the enterprise_project_id of this ShowAppRaspSwitchStatusRequest.

        企业项目ID

        :return: The enterprise_project_id of this ShowAppRaspSwitchStatusRequest.
        :rtype: str
        """
        return self._enterprise_project_id

    @enterprise_project_id.setter
    def enterprise_project_id(self, enterprise_project_id):
        r"""Sets the enterprise_project_id of this ShowAppRaspSwitchStatusRequest.

        企业项目ID

        :param enterprise_project_id: The enterprise_project_id of this ShowAppRaspSwitchStatusRequest.
        :type enterprise_project_id: str
        """
        self._enterprise_project_id = enterprise_project_id

    @property
    def app_type(self):
        r"""Gets the app_type of this ShowAppRaspSwitchStatusRequest.

        应用类型，包含如下1种。   - java ：java类型应用防护。

        :return: The app_type of this ShowAppRaspSwitchStatusRequest.
        :rtype: str
        """
        return self._app_type

    @app_type.setter
    def app_type(self, app_type):
        r"""Sets the app_type of this ShowAppRaspSwitchStatusRequest.

        应用类型，包含如下1种。   - java ：java类型应用防护。

        :param app_type: The app_type of this ShowAppRaspSwitchStatusRequest.
        :type app_type: str
        """
        self._app_type = app_type

    @property
    def host_id(self):
        r"""Gets the host_id of this ShowAppRaspSwitchStatusRequest.

        host id

        :return: The host_id of this ShowAppRaspSwitchStatusRequest.
        :rtype: str
        """
        return self._host_id

    @host_id.setter
    def host_id(self, host_id):
        r"""Sets the host_id of this ShowAppRaspSwitchStatusRequest.

        host id

        :param host_id: The host_id of this ShowAppRaspSwitchStatusRequest.
        :type host_id: str
        """
        self._host_id = host_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                if attr in self.sensitive_list:
                    result[attr] = "****"
                else:
                    result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        import simplejson as json
        if six.PY2:
            import sys
            reload(sys)
            sys.setdefaultencoding("utf-8")
        return json.dumps(sanitize_for_serialization(self), ensure_ascii=False)

    def __repr__(self):
        """For `print`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ShowAppRaspSwitchStatusRequest):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
